package com.bonus.sgzb.app.service;

import com.bonus.sgzb.app.domain.LeaseApplyInfo;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

public interface LeaseApplyInfoService{

    int deleteByPrimaryKey(Integer id);

    int insert(LeaseApplyInfo record);

    int insertOrUpdate(LeaseApplyInfo record);

    int insertOrUpdateSelective(LeaseApplyInfo record);

    int genderLeaseCode(LeaseApplyInfo record);

    LeaseApplyInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LeaseApplyInfo record);

    int updateByPrimaryKey(LeaseApplyInfo record);

    int updateBatch(List<LeaseApplyInfo> list);

    int updateBatchSelective(List<LeaseApplyInfo> list);

    int batchInsert(List<LeaseApplyInfo> list);

}
